#ifndef GAME_H_INCLUDED
#define GAME_H_INCLUDED

#include "level.h"

const int GAMEOVER_X= 200;
const int GAMEOVER_Y= 150;

const int DELAY_GAMEOVER= 20;

const int TABLE_WIDTH = 5;

const string FILENAME = "highscores.txt";

/******************** Nom de la fonction ********************
* game                                                      *
*********************** Auteur  Dates ***********************
* Guillaume Gamelas & Tho Chassaigne *** 20/11/2012        *
************************ Description ************************
* Gre le jeu                                               *
************************** Entres **************************
* Fentre                                                   *
* Images et sprites                                         *
* Variable des vnements                                   *
* Police d'criture                                         *
* Boolen de fermeture du programme                         *
************************** Sorties **************************
*                                                           *
************************************************************/
void game(SDL_Surface *screen, surfaces &SUR, SDL_Event &event, TTF_Font *font, bool &quit);

void saveScores(int points);

void insertInTab(int p[], int n);

#endif // GAME_H_INCLUDED
