#include "game.h"
#include "menu.h"

#include <time.h>

int main (int argc, char **argv)
{
/********************************
* Initialisation des paramtres *
********************************/
	srand(time(NULL)); //Initialisation de l'alatoire

	int play;
	bool quit= false;

	SDL_Event event; //Variable de gestion des vnements SDL

	SDL_Surface *screen=NULL,
                *SURTarget=NULL;
	TTF_Font *font = NULL;

	SDL_Init(SDL_INIT_VIDEO); //Initialisation de la SDL
	if (SDL_Init(SDL_INIT_VIDEO) != 0) //En cas d'erreur, on quitte le programme
        error();

	TTF_Init(); //Initialisation du TTF
	font = TTF_OpenFont("ressources/font/duck_hunt.ttf", 100);

    SDL_ShowCursor(SDL_DISABLE); //N'affiche pas le curseur de la souris

/*************************
* Cration de la fentre *
*************************/
//Icne
    SURTarget = IMG_Load("ressources/sprites/target.png");
    SDL_SetColorKey(SURTarget, SDL_SRCCOLORKEY, SDL_MapRGB(SURTarget->format, 0, 0, 0));
	SDL_WM_SetIcon(SURTarget, NULL);
//Fentre
	screen=SDL_SetVideoMode(SCREEN_WIDTH,SCREEN_HEIGHT,SCREEN_COLOR,
							SDL_SWSURFACE | SDL_DOUBLEBUF);
    if (screen == NULL) //En cas de non-ouverture de la fentre, on quitte le programme
        error();
//Nom
	SDL_WM_SetCaption("Duck Hunt", NULL);

/*********************************
* Initialisation des SDL_Surface *
*********************************/
    surfaces SUR;
    initSurfaces(SUR);

/*******************
* Boucle MENU<>JEU *
*******************/
	do
	{
	    play=menu(screen, SUR, event, font, quit);
	    
	    if (play==1)
            game(screen, SUR, event, font, quit);
            
        if (play==2)
        	printScores(screen, SUR, event, font, quit);
	} while(play && !quit);

/*******************
* Fin du programme *
*******************/
    closeSurfaces(SUR);
	TTF_CloseFont(font);
    TTF_Quit();
    SDL_FreeSurface(screen);
	SDL_Quit();

	return EXIT_SUCCESS;
}
